Bug 1510239 - Todoist is not available in gnome-online-accounts 3.26
Summary: Todoist is not available in gnome-online-accounts 3.26
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-online-accounts
Version: 27
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1514332 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 01:18 UTC by Dylan McCall
Modified: 2018-11-28 10:51 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 10:51:17 UTC


Attachments (Terms of Use)
Enable Todoist support (574 bytes, patch)
2017-11-26 16:29 UTC, Mads Villadsen
no flags Details | Diff

Description Dylan McCall 2017-11-07 01:18:03 UTC
Description of problem: It is impossible to create a Todoist online account, even though this is shown as an option in applications packaged by Fedora.


Version-Release number of selected component (if applicable):

 * gnome-todo.x86_64: 3.26.1-1.fc27
 * gnome-online-accounts.x86_64: 3.26.1-1.fc27


How reproducible: Very.


Steps to Reproduce:
1. Install GNOME To Do.
2. Open its Extensions dialog, enable the Todoist extension, and click the "Add a Todoist account" button.


Actual results:

Clicking that button does nothing.


Expected results:

Instead, it should open a dialog to sign in to a Todoist account.


Additional info:

In gnome-online-accounts 3.26, there is an optional Todoist account plugin. It must be enabled at build time using the --with-todoist configure option. At the moment, that account plugin is not enabled in Fedora 27's build of gnome-online-accounts.

This is a bit of a problem because Todoist appears as an option in two applications people may use: gnome-todo (which is in Fedora's repository), and gnome-recipes (which is a small distance away as a Flatpak app).

We may want to file bug reports with those applications that they should gracefully handle the situation that online-accounts doesn't support Todoist, but probably wouldn't hurt to make them work nicely as well :)

Comment 1 Dylan McCall 2017-11-16 17:10:07 UTC
GNOME Todo bug report: https://gitlab.gnome.org/GNOME/gnome-todo/issues/127

Comment 2 Mads Villadsen 2017-11-26 16:28:27 UTC
Is there a particular reason why the Todoist support hasn't been enabled in Fedora?

I have attached a tiny patch to the .spec file to enable it.

Comment 3 Mads Villadsen 2017-11-26 16:29:07 UTC
Created attachment 1359163 [details]
Enable Todoist support

Comment 4 Fernando Collova 2017-12-08 23:39:48 UTC
I can confirm this is not enabled, and I also can't see why it's that way. Should we expect this to be enabled? Or this is the way it should be? I at least upgraded in part because I understood from this Fedora Magazine post I would get that feature --> https://fedoramagazine.org/new-features-gnome-to-do/

Comment 5 Brandon Johnson 2018-01-15 17:35:39 UTC
Anyway this can get fixed in 27 or is this going to get pushed to Fedora 28?

Comment 6 Diego Fernandez 2018-02-18 00:10:26 UTC
Could someone please comment on why it's disabled in Fedora? I manually re-built gnome-online-accounts with it enabled and I haven't encountered any issues.

Situations like these are why I prefer to use Arch, but alas I chose Fedora for my work laptop. It'd be great to have this included by default!

Comment 7 fasiellon 2018-05-05 06:38:57 UTC
The bug is present also on Fedora 28. I would like to use it for my summer job but can't because of this bug. I hope someone could fix this any time soon

Comment 8 Debarshi Ray 2018-07-17 13:49:19 UTC
*** Bug 1514332 has been marked as a duplicate of this bug. ***

Comment 9 Debarshi Ray 2018-07-17 14:04:24 UTC
The Todoist integration in GNOME Online Accounts was first proposed by Recipes and GNOME To Do.  However, since those two applications don't intend to be tightly coupled with the wider GNOME release schedules (Recipes was always very loose, while To Do wants to do so in the near future), we decided that it's better to keep the Todoist integration entirely in those two applications without involving GOA.

Here is some background / rationale on adding new GOA providers:
https://wiki.gnome.org/Projects/GnomeOnlineAccounts/Goals

Currently, Recipes already ships its own Todoist integration, but To Do hasn't done so, yet. I was told that it's on the cards for the next stable release. The Todoist provider in GOA is there for historical reasons, and will likely be removed in the near future. That's why it is not enabled in Fedora.

Comment 10 Ben Cotton 2018-11-27 14:43:17 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Debarshi Ray 2018-11-28 10:51:17 UTC
The Todoist provider has now been removed from gnome-online-accounts.git:
https://gitlab.gnome.org/GNOME/gnome-online-accounts/commit/bf77325d847d2878159e8ba2677768b2fe6386a6


Note You need to log in before you can comment on or make changes to this bug.